---
title: Nastavení STM
---

<p>Přehled o aktuálním nastavení aplikace STM a její databáze. </p>

<h2>Dostupné akce</h2>
<ul>
    <li><strong>Nastavení STM</strong> - přehled používaného jazyka, povolení registrace, 
        výchozích hodnot pro různé operace v STM, adresa web klubu, apod.</li>
    <li><strong>Změna nastavení STM</strong> - mění soubor <code class="inline">stm/config/stm.php</code></li>
    <li><strong>Nastavení databáze</strong> - pouze přístup</li>
</ul>

<h2>Kde se používá v STM?</h2>
<ul>
    <li>Povolení/zakázání přístupu nezaregistrovaných uživatelů a tipování upraví tabulku
        uživatelských práv s modulu <a href="<%= webPrefix %>/help/module/user.html">Uživatelé</a> podle
        Vašeho aktuálního nastavení.</li>
    <li>Webová adresa klubu se používá na každé stránce v STM, kde je k dispozici v horním menu přes odkaz <em>Zpět na web</em>.</li>
    <li>Minimální počet period zápasu je používán u vytváření každé <a href="<%= webPrefix %>/help/module/competition.html">soutěže</a>,
        body za výhru/prohru/... jsou přednastaveny u vytváření <a href="<%= webPrefix %>/help/module/season.html">sezóny</a> a 
        vstup/odchod hráče ze hřiště je přednastaven u <a href="<%= webPrefix %>/help/module/match.html">hráčských statistik zápasu</a>.</li>
    <li>Parametry filtrování jsou využity během filtrování zápasů na hlavní straně modulu <a href="<%= webPrefix %>/help/module/match.html">Zápas</a>.</li>
    <li>Pro <a href="<%= webPrefix %>/help/module/season.html">sezóny</a> bez aktualizace cache nedojde k přepočítání tabulky,
        pokud dojde ke změně výsledku zápasu apod.</li>
    <li>Nastavení výpočtu statistik je používáno u hráčských statistik
        <ul>
            <li><em>Počet</em> - fotbalista dal gól v 50. a 60. minutě, takže při nastavení počtu bude počet gólů roven 2.</li>
            <li><em>Součet</em> - basketbalista dal jednou 20 a podruhé 12 košů, takže jeho celkový počet bodů je roven 32.</li>
        </ul>
    </li>
</ul>

<h2>Které uživatelské skupiny mají přístup?</h2>
<ul>
    <li><strong>Administrátor</strong> - vytváření, úprava nastavení STM</li>
</ul>

<h2>Omezení v modulu</h2>
<ul>
    <li>Změnu údajů k přístupu do databáze (nastavených během instalace) nejde změnit přes STM web.</li>
</ul>